org.omg.PortableServer

## Class ServantRetentionPolicyValue

- java.lang.Object
- - org.omg.PortableServer.ServantRetentionPolicyValue

- All Implemented Interfaces:
    Serializable, IDLEntity

      public class ServantRetentionPolicyValue
      extends Object
      implements IDLEntity

  ServantRetentionPolicyValue can have the following values. RETAIN - to indicate that the POA will retain active servants in its Active Object Map. NON_RETAIN - to indicate Servants are not retained by the POA. If no ServantRetentionPolicy is specified at POA creation, the default is RETAIN.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `_NON_RETAIN`
    `static int` | `_RETAIN`
    `static ServantRetentionPolicyValue` | `NON_RETAIN`
    `static ServantRetentionPolicyValue` | `RETAIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ServantRetentionPolicyValue(int value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ServantRetentionPolicyValue` | `from_int(int value)`
    `int` | `value()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _RETAIN

          public static final int _RETAIN

      See Also:
        Constant Field Values

    - #### RETAIN

          public static final ServantRetentionPolicyValue RETAIN

    - #### _NON_RETAIN

          public static final int _NON_RETAIN

      See Also:
        Constant Field Values

    - #### NON_RETAIN

          public static final ServantRetentionPolicyValue NON_RETAIN

  - ### Constructor Detail

    - #### ServantRetentionPolicyValue

          protected ServantRetentionPolicyValue(int value)

  - ### Method Detail

    - #### value

          public int value()

    - #### from_int

          public static ServantRetentionPolicyValue from_int(int value)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.